E-MailRelay

gnowide.h File Reference

Contains inline functions that convert to and from UTF-8 strings in order to call wide-character "W()" or "_w()" Windows functions internally. More...

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Detailed Description

Contains inline functions that convert to and from UTF-8 strings in order to call wide-character "W()" or "_w()" Windows functions internally.

This means that in the rest of the code filesystem paths, registry paths, environment variables, command-lines etc. can be always UTF-8, independent of the o/s, current locale or codepage.

For temporary backwards compatibility, if G_ANSI is undefined then the "A()" API functions are used with no UTF-8 conversions.

See also
  http://utf8everywhere.org

Definition in file gnowide.h.